# WaitlistDestinationCreate

> Add a sync destination (an email list) to a waitlist. Write access, waitlists toolset, MCP tool create_waitlist_destination.

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `input` | `WaitlistDestinationCreateInput!` | yes | Input object, below |  |

## Input types

### WaitlistDestinationCreateInput

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `connectionId` | `UUID!` | yes |  |  |
| `listId` | `String!` | yes | 1 to 64 characters |  |
| `listName` | `String!` | yes | 1 to 200 characters |  |
| `marketingPermissionId` | `String` | no | 1 to 64 characters | Mailchimp GDPR audiences only. |
| `trigger` | `WaitlistDestinationTrigger` | no | One of `ON_CONFIRM`, `ON_RELEASE` | ON_CONFIRM (default) or ON_RELEASE. |
| `waitlistId` | `UUID!` | yes |  |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WaitlistDestinationCreate","variables":{"input":{"connectionId":"00000000-0000-0000-0000-000000000000","listId":"…","listName":"…","waitlistId":"00000000-0000-0000-0000-000000000000"}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"37cfcb924dc38e1bc27fab6161b026dc0e7be9048a8ede005ee462f6bf96fa98"}}}'
```

## Document

```graphql
mutation WaitlistDestinationCreate($input: WaitlistDestinationCreateInput!) { __typename waitlistDestinationCreate(input: $input) { __typename destination { __typename id } userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/waitlists/waitlist-destination-create
